Bug 227298 - deskutils/note: update to v. 1.3.22 (patch).
Summary: deskutils/note: update to v. 1.3.22 (patch).
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-05 15:04 UTC by Alexandre C. Guimarães
Modified: 2018-04-15 11:11 UTC (History)
1 user (show)

See Also:
mfechner: maintainer-feedback+


Attachments
Update to version 1.3.22. (868 bytes, patch)
2018-04-05 15:04 UTC, Alexandre C. Guimarães
no flags Details | Diff
Updating to v1.3.22. (1019 bytes, patch)
2018-04-05 18:36 UTC, Alexandre C. Guimarães
no flags Details | Diff
Update to v1.3.22. (1.93 KB, patch)
2018-04-05 18:50 UTC, Alexandre C. Guimarães
no flags Details | Diff
Update to v1.3.22 (2.33 KB, patch)
2018-04-05 20:44 UTC, Alexandre C. Guimarães
no flags Details | Diff
Update to v1.3.22. (2.37 KB, patch)
2018-04-06 06:26 UTC, Alexandre C. Guimarães
no flags Details | Diff
Update to v1.3.22. (2.37 KB, patch)
2018-04-06 06:37 UTC, Alexandre C. Guimarães
no flags Details | Diff
Update to v1.3.22. (3.53 KB, patch)
2018-04-06 07:10 UTC, Alexandre C. Guimarães
no flags Details | Diff
Update to v1.3.22 (3.82 KB, patch)
2018-04-06 08:05 UTC, Alexandre C. Guimarães
no flags Details | Diff
Updating to 1.3.22. (3.86 KB, patch)
2018-04-07 17:13 UTC, Alexandre C. Guimarães
mfechner: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2018-04-05 15:04:55 UTC
Created attachment 192246 [details]
Update to version 1.3.22.

Hi.

Attached a patch to:

- update to v1.3.22
- fix run time (minor)

Thanks!
Comment 1 Matthias Fechner freebsd_committer 2018-04-05 15:45:17 UTC
I do not use this port anymore so I cannot test it.
Would you like to take over as maintainer?
Comment 2 Alexandre C. Guimarães freebsd_committer 2018-04-05 18:36:24 UTC
Created attachment 192254 [details]
Updating to v1.3.22.

Also taking maintainership.
Comment 3 Alexandre C. Guimarães freebsd_committer 2018-04-05 18:50:19 UTC
Created attachment 192255 [details]
Update to v1.3.22.

I've forgot to add the patch to svn.

Anyway. It seem to still need some work, I bring later.
Comment 4 Alexandre C. Guimarães freebsd_committer 2018-04-05 20:44:59 UTC
Created attachment 192258 [details]
Update to v1.3.22

Add missing dependencies and create OPTIONS: CRYPTO, MYSQL, and PWSAFE3.

Remove the patch and use sed instead.

Thanks!
Comment 5 Alexandre C. Guimarães freebsd_committer 2018-04-06 06:26:52 UTC
Created attachment 192270 [details]
Update to v1.3.22.

One more missing dependency found.
Comment 6 Alexandre C. Guimarães freebsd_committer 2018-04-06 06:37:53 UTC
Created attachment 192272 [details]
Update to v1.3.22.

Final one I guess.

Thanks.
Comment 7 Alexandre C. Guimarães freebsd_committer 2018-04-06 07:10:17 UTC
Created attachment 192273 [details]
Update to v1.3.22.

Add examples.
Comment 8 Alexandre C. Guimarães freebsd_committer 2018-04-06 08:05:46 UTC
Created attachment 192274 [details]
Update to v1.3.22

Let's add more options for encryption.

Sorry about that many changes but the documentation is not that good. It took some time to get everything because there were a need to actually test specific things to find the missing stuff.

Thanks!
Comment 9 Matthias Fechner freebsd_committer 2018-04-06 16:05:01 UTC
(In reply to Alexandre C. Guimarães from comment #8)
should I wait a little bit more or do you think it is ready now?
Comment 10 Alexandre C. Guimarães freebsd_committer 2018-04-06 19:30:31 UTC
(In reply to Matthias Fechner from comment #9)

I think it is fine now. I could not find anything missing anymore. ^^

Thanks! :)
Comment 11 Alexandre C. Guimarães freebsd_committer 2018-04-07 05:33:46 UTC
I found a problem. 

'security/p5-Crypt-CBC' and 'security/p5-Crypt-Rijndael' are just needed when at least one of the OPTIONS_GROUP_CRYPTO is ON.

I tried setting CRYPTO_RUN_DEPENDS in a hope of covering the entire group, but didn't work.

So, the only two possible solutions coming to mind are:

1 - set those dependencies in the general RUN_DEPENDS or 
2 - repeat them to each OPTION of the group.

Basically bloated vs. ugly, unless there is proper solution I am not aware of.

Thanks!
Comment 12 Alexandre C. Guimarães freebsd_committer 2018-04-07 17:13:39 UTC
Created attachment 192313 [details]
Updating to 1.3.22.

Done.
Comment 13 Matthias Fechner freebsd_committer 2018-04-13 09:59:46 UTC
My time is currently limited as I do work on upgrade for the gitlab port, so I just approve this change, but I have not tested it.
Comment 14 Matthias Fechner freebsd_committer 2018-04-14 18:50:58 UTC
I created now a revision to get it committed:
https://reviews.freebsd.org/D15066

The moment it got approved, I will commit it.
Comment 15 commit-hook freebsd_committer 2018-04-15 11:11:07 UTC
A commit references this bug:

Author: krion
Date: Sun Apr 15 11:10:29 UTC 2018
New revision: 467383
URL: https://svnweb.freebsd.org/changeset/ports/467383

Log:
  Update to version 1.3.22
  Pass maintainership to submitter as agreed with previous maintainer

  PR:		227298
  Submitted by:	Alexandre C. Guimar?es <lebarondemerde@privacychain.ch>
  Approved by:	idefix@fechner.net

Changes:
  head/deskutils/note/Makefile
  head/deskutils/note/distinfo
  head/deskutils/note/pkg-descr
  head/deskutils/note/pkg-plist